### Enumeration

# AppStream FormatKind

#### Declaration

    enum AppStream.FormatKind

#### Description [src]

Format of the AppStream metadata.

#### Members

`AS_FORMAT_KIND_UNKNOWN`

  Unknown metadata format.

  - Value: `0`
  - Available since: 1.0
`AS_FORMAT_KIND_XML`

  AppStream XML metadata.

  - Value: `1`
  - Available since: 1.0
`AS_FORMAT_KIND_YAML`

  AppStream YAML (DEP-11) metadata.

  - Value: `2`
  - Available since: 1.0
`AS_FORMAT_KIND_DESKTOP_ENTRY`

  XDG Desktop Entry data.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### as_format_kind_from_string

Converts the text representation to an enumerated value.

since: 0.10.0

###### as_format_kind_to_string

Converts the enumerated value to an text representation.

since: 0.10.0